Subject: Re: [Drip] Fwd: New Version Notification for draft-moskowitz-drip-uas-rid-06.txt

From: Alexandre Petrescu <[email-masked]>
Date: Tue, 1 Sep 2020 15:00:01 +0200

Hi,
I am going to read the draft.

A brief note to say that the pdf draft on my Acrobat Reader in Windows 
10 displays a funny "LinkÃ¶ping University".  I wonder whether it is the 
same on Apple computers.

Alex

Le 17/08/2020 à 22:17, Robert Moskowitz a écrit :
> Some clean ups in the merger of the other drafts into drip-uas-rid.
> 
> Added text to hopefully address MOST of MCR's points.  I did not alter 
> sec 5; that will wait until I get some EPP/RDAP content.
> 
> Also added text that RID is not the only use for HHITs (I have been in 
> discussions about other potential uses).  Two ways to manage this is in 
> considered allocation of the RAA space or separate Prefixes for 
> different usage domains.
> 
> Anyway, this is the draft version for the Interim meeting and for the 
> call to adopt.
> 
> thanks
> 
> Bob
> 
> 
> -------- Forwarded Message --------
> Subject: 	New Version Notification for draft-moskowitz-drip-uas-rid-06.txt
> Date: 	Mon, 17 Aug 2020 13:07:24 -0700
> From: 	[email-masked]
> To: 	Andrei Gurtov <[email-masked]>, Adam Wiethuechter 
> <[email-masked]>, Stuart Card 
> <[email-masked]>, Robert Moskowitz 
> <[email-masked]>, Stuart W. Card <[email-masked]>
> 
> 
> 
> 
> A new version of I-D, draft-moskowitz-drip-uas-rid-06.txt
> has been successfully submitted by Robert Moskowitz and posted to the
> IETF repository.
> 
> Name: draft-moskowitz-drip-uas-rid
> Revision: 06
> Title: UAS Remote ID
> Document date: 2020-08-17
> Group: Individual Submission
> Pages: 19
> URL: 
> https://www.ietf.org/internet-drafts/draft-moskowitz-drip-uas-rid-06.txt
> Status: https://datatracker.ietf.org/doc/draft-moskowitz-drip-uas-rid/
> Htmlized: https://tools.ietf.org/html/draft-moskowitz-drip-uas-rid-06
> Htmlized: https://datatracker.ietf.org/doc/html/draft-moskowitz-drip-uas-rid
> Diff: https://www.ietf.org/rfcdiff?url2=draft-moskowitz-drip-uas-rid-06
> 
> Abstract:
> This document describes the use of Hierarchical Host Identity Tags
> (HHITs) as a self-asserting and thereby trustable Identifier for use
> as the UAS Remote ID. HHITs include explicit hierarchy to provide
> Registrar discovery for 3rd-party ID attestation.
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 
> 
>

---

From: Robert Moskowitz <[email-masked]>
Date: Tue, 1 Sep 2020 09:15:25 -0400

Please report this to the tools people.

I only submit the xml and txt and there the proper character for 
Andrei's Univ shows.  So tools, in making the pdf is not doing this right.

On 9/1/20 9:00 AM, Alexandre Petrescu wrote:
> 10 displays a funny "LinkÃ¶ping University".  I wonder whether it is 
> the same on Apple computers.
>
> Alex
>
>> Added text to hopefully address MOST of MCR's points.  I did not 
>> alter sec 5; that will wait until I get some EPP/RDAP content.
>>
>> Also added text that RID is not the only use for HHITs (I have been 
>> in discussions about other potential uses).  Two ways to manage this 
>> is in considered allocation of the RAA space or separate Prefixes for 
>> different usage domains.
>>
>> Htmlized: 
>> https://datatracker.ietf.org/doc/html/draft-moskowitz-drip-uas-rid

-- 
Standard Robert Moskowitz
Owner
HTT Consulting
C:248-219-2059
F:248-968-2824
E:[email-masked]

There's no limit to what can be accomplished if it doesn't matter who 
gets the credit

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 9 Sep 2020 14:55:38 +0200

> Andrei's Univ shows.  So tools, in making the pdf is not doing this

If I ask this to the tools people, I am afraid that they will tell me I
should do something about, maybe, using a V3, and maybe use a new tag to
write people names.  I am not sure about that.  It is probably a typical
editing activity.  I am a reader :-)

Alex

>> Hi, I am going to read the draft.
>> 
>> A brief note to say that the pdf draft on my Acrobat Reader in
>> Windows 10 displays a funny "LinkÃ¶ping University".  I wonder
>> whether it is the same on Apple computers.
>> 
>> Alex
>> 
>>> Also added text that RID is not the only use for HHITs (I have
>>> been in discussions about other potential uses).  Two ways to
>>> manage this is in considered allocation of the RAA space or
>>> separate Prefixes for different usage domains.
>>> 
>>> Anyway, this is the draft version for the Interim meeting and for
>>> the call to adopt.
>>> 
>>> thanks
>>> 
>>> Bob
>>> 
>>> 
>>> -------- Forwarded Message -------- Subject:     New Version
>>> Notification for draft-moskowitz-drip-uas-rid-06.txt Date:
>>> Mon, 17 Aug 2020 13:07:24 -0700 From: [email-masked] 
>>> A new version of I-D, draft-moskowitz-drip-uas-rid-06.txt has
>>> been successfully submitted by Robert Moskowitz and posted to
>>> the IETF repository.
>>> 
>>> Name: draft-moskowitz-drip-uas-rid Revision: 06 Title: UAS Remote
>>> ID Document date: 2020-08-17 Group: Individual Submission Pages:
>>> 19 URL: 
>>> Htmlized:
>>> https://tools.ietf.org/html/draft-moskowitz-drip-uas-rid-06 
>>> Htmlized: 
>>> 
>>> Abstract: This document describes the use of Hierarchical Host
>>> Identity Tags (HHITs) as a self-asserting and thereby trustable
>>> Identifier for use as the UAS Remote ID. HHITs include explicit
>>> hierarchy to provide Registrar discovery for 3rd-party ID
>>> attestation.
>>> 
>>> 
>>> 
>>> Please note that it may take a couple of minutes from the time of
>>>  submission until the htmlized version and diff are available at
>>> tools.ietf.org.
>>> 
>>> The IETF Secretariat
>>> 
>>> 
>>> 
>> 
> 
> -- Standard Robert Moskowitz Owner HTT Consulting C:248-219-2059 
> F:248-968-2824 E:[email-masked]
>

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 9 Sep 2020 15:01:59 +0200

I have read the document draft-moskowitz-drip-uas-rid-06.txt
"UAS Remote ID".

Here I describe only the nit comments.  I save the higher level comments
for later, after I gain more knowledge of this Identity-centered
environment.

The terms are very numerous, and sometimes colliding, or some are not
enough well defined.  In an alphabetical order (alpha before beta) the
'HID' term should appear before HIP term; similarly, HDA before HI.

It might be that it is not necessary to use the term 'Hierarchical HIT
Assigning Authority' too; maybe using the equivalent term 'Registered
Assigning Authority (RAA)' is enough.

It  might be that it could be good to use a single set of terms, by
combining the terms from [drip-requirements] and the terms listed in
this document.

Page 5 last paragraph: use an 'r' in 'through': "bind all content in the
ORCHID through the hashing function".

Section 3: may I dare to suggest ASTM a new TYPE-5 to be "An IP address".

Where it says " 100.50.hhit.uas.areo   IN PTR      foo.uss.areo.", I
think it should say 'aero'?

Where it says
"2001:14:28:14:a3ad:1952:ad0:a69e"
I think it should say
"2001:db8:28:14:a3ad:1952:ad0:a69e"
because 2001:db8 is the reserved prefix for documentation.

Where it says:
>    Proof of UA transmission comes when the Authentication Message
>    includes proofs for the Location/Vector Message and the observer can
>    see the UA or that information is validated by ground multilateration

What is the Authentication Message?

What is 'UA'?

Alex

---

From: Robert Moskowitz <[email-masked]>
Date: Wed, 9 Sep 2020 09:02:41 -0400

> editing activity.  I am a reader :-)

I am using xml2rfc --v3, of course that is xml to txt, not anything to 
do with pdf...

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 9 Sep 2020 15:07:55 +0200

> I am using xml2rfc --v3, of course that is xml to txt, not anything to 

I would like to ask one whether one sees the right name in one's pdf 
reader?  Or does one see funny "LinkÃ¶ping University"?
(I use Acrobat Reader on Windows 10 and I see the funny: it's an A with 
tilde followed by a PI number 3.14).

The pdf is generated by 'tools' people maybe with another tool.  I 
suspect that generation is not in the 'xml2rfc --v3' tool.

The link is this:
https://tools.ietf.org/pdf/draft-moskowitz-drip-uas-rid-06.txt
(the funny appears in the upper right part of the 1st page)

I dont know.

Alex

---

From: Robert Moskowitz <[email-masked]>
Date: Wed, 9 Sep 2020 09:17:10 -0400

Quick response.

Thanks for the read-through.  I should be able to include all of these 
in -07.

See below for last point.

> What is the Authentication Message?

This is an ASTM F3411-19 message, as is the Location/Vector.  I will add 
text to clarify this.  I am thinking to add the contents of Table 3 from 
above:

0x0    Basic ID Message
0x1    Location/Vector Message
0x2    Authentication Message
0x3    Self-ID Message
0x4    System Message
0x5    Operator ID

Thing is this maybe goes into drip-arch?

> What is 'UA'?

Per drip-reqs:

    UA
       Unmanned Aircraft.  An aircraft which is intended to operate with
       no pilot on board.  In popular parlance, "drone".

BTW, yesterday on the ICAO GRAIN call we were discussing what 
terms/groupings for things in the air.  ICAO has a clear definition on 
this.  If there a person on the thing controls it (pilot) it is manned.  
If not it is unmanned (any non-controlling people do not matter).  For 
example a balloon is 'manned' if there is a person on board that 
controls if it goes up or down (like that guy that crossed the Arizona 
desert holding on to balloons.  He could let go of a couple and go down, 
thus he was a pilot).

---

From: Robert Moskowitz <[email-masked]>
Date: Wed, 9 Sep 2020 09:24:18 -0400

On 9/9/20 9:07 AM, Alexandre Petrescu wrote:
>> I am using xml2rfc --v3, of course that is xml to txt, not anything 
>> to do with pdf...
>
> (I use Acrobat Reader on Windows 10 and I see the funny: it's an A 
> with tilde followed by a PI number 3.14).

The problem is in the PDF.  I will bring it to the tools people's 
attention...

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 9 Sep 2020 15:30:56 +0200

Le 09/09/2020 à 15:17, Robert Moskowitz a écrit :
[...]
> desert holding on to balloons.  He could let go of a couple and go down, 

Makes sense half and half.

I think I am looking for a term for 'Unmanned but Human-on-board' 
aircraft... UHA.  A flying taxi, or a flying ambulance carrying humans 
or humanly organs, who dont control it...

Alex

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 9 Sep 2020 15:35:38 +0200

[...]
> Per drip-reqs:

This is why I outsider think it would be good to have terms grouped in 
one place.

Alex

---

From: Robert Moskowitz <[email-masked]>
Date: Wed, 9 Sep 2020 09:49:57 -0400

On 9/9/20 9:30 AM, Alexandre Petrescu wrote:
>> this.  If there a person on the thing controls it (pilot) it is 
>> manned. If not it is unmanned (any non-controlling people do not 
>> matter).  For example a balloon is 'manned' if there is a person on 
>> board that controls if it goes up or down (like that guy that crossed 
>> the Arizona desert holding on to balloons.  He could let go of a 
>> couple and go down, thus he was a pilot).
>

Oh, Alex, I don't think you want to stir up that hornet's nest.

Canada does not officially use UAS, but rather RPAS for Remote Piloted 
Aircraft Systems.  They do not want feature creep to allow for 
autonomous systems until they feel they will meet some safety 
requirements if I recall correctly.

And if you do that you have to do it for manned as well:  passenger 
aircraft and cargo aircraft.  But then things blur.  I know that Fedex 
has jump seats for employee-passengers, or had them.  Back in '97 we had 
a Fedex participant (they hosted IETF 38) and he told about using the 
jump seat for a flight to London.  Said it was really neat seeing the 
sunrise through the pilot's window on the steep decent of a cargo plane...

Stu's and my plans on aero terms, is to follow, as much as possible, 
official terms and only invent when we need to for clarity.  Too many 
terms as it is.

Is UAM manned or unmanned?  Yes.  :)

UAM ::= Urban Air Mobility

No such things as 'air taxis'.  ;)

---

From: Robert Moskowitz <[email-masked]>
Date: Wed, 9 Sep 2020 09:53:12 -0400

> This is why I outsider think it would be good to have terms grouped in 

Definitions says:

2.2.  Definitions

    See Drip Requirements [drip-requirements] for common DRIP terms.

i.e. if it is not here, check there.

I am open to a better way to word this note.

>> terms/groupings for things in the air.  ICAO has a clear definition 
>> on this.  If there a person on the thing controls it (pilot) it is

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 9 Sep 2020 16:03:03 +0200

> I am open to a better way to word this note.

Would it be advantageous to keep all terms in one draft?

Alex

---

From: Robert Moskowitz <[email-masked]>
Date: Wed, 9 Sep 2020 10:18:48 -0400

On 9/9/20 10:03 AM, Alexandre Petrescu wrote:
>>> This is why I outsider think it would be good to have terms grouped 
>>> in one place.
>>>
>>> Alex
>>>
>>
>> Definitions says:
>>
>> 2.2.  Definitions
>>

I thought about that, but said draft would be the last draft completed 
by the workgroup, as new terms keep getting added.  How do you determine 
done?  See RFC 2828, obsoleted by 4949!

So instead you create a baseline in drip-reqs, KNOWING that it is just a 
baseline and there are specific terms for some drafts and even new 
baseline terms over time (like UHA! [sounds like something a US Marine 
would yell if he had a sore tooth]).

>>>> board that controls if it goes up or down (like that guy that 
>>>> crossed the Arizona desert holding on to balloons.  He could let go 
>>>> of a couple and go down, thus he was a pilot).
>>>>
>>>>>
>>>>> Alex
>>>>
>>>
>>
>

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 9 Sep 2020 16:19:43 +0200

Le 09/09/2020 à 15:49, Robert Moskowitz a écrit :
[...]
> Is UAM manned or unmanned?  Yes.  :)

Sounds like I need to go to the Quantum Internet RG :-)

Alex

---

From: Robert Moskowitz <[email-masked]>
Date: Wed, 9 Sep 2020 10:23:27 -0400

> Sounds like I need to go to the Quantum Internet RG :-)

I saw a reference to work done at MIT on how background radiation will 
put limits on qubits.  Such that soon all work will have to be done a 
few hundred feet underground to shield from cosmic rays...

At least they don't see that you need to shield from neutrinos.

---

From: Robert Moskowitz <[email-masked]>
Date: Wed, 9 Sep 2020 10:58:40 -0400

Most addressed.  See inline.

> because 2001:db8 is the reserved prefix for documentation.

No.  The HHIT prefix proposed is:  2001:10::/28, or some such, then you 
have the HIP HIT_Suite.

2001:10::/28 is what is used in HIPv1, deprecated.  2001:20::/28 is HIPv2.

> What is the Authentication Message?

I have added ASTM Msg Type to all first use of an ASTM F3411-19 message.

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 9 Sep 2020 21:26:05 +0200

> 2001:10::/28 is what is used in HIPv1, deprecated.  2001:20::/28 is HIPv2.

Bob,
With all due respect.
When I see such strong statement I think I mght be so wrong.

But let me ask this: why was 2001:db8 invented?

Alex

---

From: Robert Moskowitz <[email-masked]>
Date: Wed, 9 Sep 2020 15:47:13 -0400

On 9/9/20 3:26 PM, Alexandre Petrescu wrote:
>> No.  The HHIT prefix proposed is:  2001:10::/28, or some such, then 
>> you have the HIP HIT_Suite.
>>

RFC 3849 provides this prefix for documentation that needs an IPv6 
address but does not have one to use. And said address will follow 
common routable address formats as in 64/64.

RFC 3849 is a /32 and for HHITs we are requesting a /28 as used in RFC 
5201 and 7401 and the whole 128 bit layout takes this into account.  
Thus using 2001:db8/32 would cause more problems than it would address.

BTW, this is not the first comment to use 3849.  I have thought about 
it, but followed more general RFC 2928.

Please check out:

https://www.iana.org/assignments/ipv6-address-space/ipv6-address-space.xhtml

and see footnotes 7 - 14.

---

From: Alexandre Petrescu <[email-masked]>
Date: Wed, 9 Sep 2020 22:55:08 +0200

Le 09/09/2020 à 21:47, Robert Moskowitz a écrit :
>>>> Here I describe only the nit comments.  I save the higher
>>>> level comments for later, after I gain more knowledge of this 
>>>> Identity-centered environment.
>>>> 
>>>> The terms are very numerous, and sometimes colliding, or some 
>>>> are not enough well defined.  In an alphabetical order (alpha 
>>>> before beta) the 'HID' term should appear before HIP term; 
>>>> similarly, HDA before HI.
>>>> 
>>>> It might be that it is not necessary to use the term 
>>>> 'Hierarchical HIT Assigning Authority' too; maybe using the 
>>>> equivalent term 'Registered Assigning Authority (RAA)' is 
>>>> enough.
>>>> 
>>>> It  might be that it could be good to use a single set of 
>>>> terms, by combining the terms from [drip-requirements] and the 
>>>> terms listed in this document.
>>>> 
>>>> Page 5 last paragraph: use an 'r' in 'through': "bind all 
>>>> content in the ORCHID through the hashing function".
>>>> 
>>>> Where it says "2001:14:28:14:a3ad:1952:ad0:a69e" I think it 
>>>> should say "2001:db8:28:14:a3ad:1952:ad0:a69e" because
>>>> 2001:db8 is the reserved prefix for documentation.
>>> 
>>> No.  The HHIT prefix proposed is:  2001:10::/28, or some such, 
>>> then you have the HIP HIT_Suite.
>>> 
>> Bob, With all due respect. When I see such strong statement I
>> think I mght be so wrong.
>> 
> RFC 3849 is a /32 and for HHITs we are requesting a /28 as used in 
> RFC 5201 and 7401 and the whole 128 bit layout takes this into 
> account. Thus using 2001:db8/32 would cause more problems than it 
> would address.
> 
> BTW, this is not the first comment to use 3849.  I have thought
> about it, but followed more general RFC 2928.
> 
> Please check out:
> 

I looked.

I do not want to sound provokative, and certainly I do not want to sound
as if I wanted to re-track the discussion, but this does not answer my
question.

My question is why where 2001:db8 addresses invented?

My answer is because we must make sure we dont put true IPv6 addresses
in documents, because someone (probably the first implementers) will
certainly copy-paste addresses from drafts in implementations, which is
not good.  Another reason is because what one puts now in a draft (e.g.
"2001:14:28:14:a3ad:1952:ad0:a69e") will one day be somebody's true
address on a true system.  S/he will not be happy to find it then in a
document available publicly, presumably the RFCXXXX of this draft.

I do not know why does one think the 2001:db8 addresses were invented?

Finally, if I struggle so hard in discussion to persuade with such a
small nit - I frankly consider this 2001:db8 to be a nit - I wonder what
might happen if I wanted to propose something else than HIP and ORCHID
for identifying flying objects for safety purposes... but I have already
seen that in my proposal about Bluetooth not being appropriate for
distant drones, or in my proposal to use IP Router Advertisements sent
by routers carried by drones.

So, that is about that, I think.

Alex

> 
>> 
>> Alex
>> 
>>> 
>>>> 
>>>> Where it says:
>>>>> Proof of UA transmission comes when the Authentication 
>>>>> Message includes proofs for the Location/Vector Message and 
>>>>> the observer can see the UA or that information is validated 
>>>>> by ground multilateration
>>>>

---

From: Robert Moskowitz <[email-masked]>
Date: Wed, 9 Sep 2020 17:21:00 -0400

On 9/9/20 4:55 PM, Alexandre Petrescu wrote:
>>>>> I have read the document draft-moskowitz-drip-uas-rid-06.txt "UAS 
>>>>> Remote ID".
>>>>>
>>>>> The terms are very numerous, and sometimes colliding, or some are 
>>>>> not enough well defined.  In an alphabetical order (alpha before 
>>>>> beta) the 'HID' term should appear before HIP term; similarly, HDA 
>>>>> before HI.
>>>>>
>>>>> It might be that it is not necessary to use the term 'Hierarchical 
>>>>> HIT Assigning Authority' too; maybe using the equivalent term 
>>>>> 'Registered Assigning Authority (RAA)' is enough.
>>>>>
>>>>> It  might be that it could be good to use a single set of terms, 
>>>>> by combining the terms from [drip-requirements] and the terms 
>>>>> listed in this document.
>>>>>
>>>>> Page 5 last paragraph: use an 'r' in 'through': "bind all content 
>>>>> in the ORCHID through the hashing function".
>>>>>
>>>>> Where it says "2001:14:28:14:a3ad:1952:ad0:a69e" I think it should 
>>>>> say "2001:db8:28:14:a3ad:1952:ad0:a69e" because

If 2001:db8 were a /28 prefix, it would be usable here.  But part of the 
HHIT proposal is using a /28 prefix allocation.  It cannot be documented 
with a /32 prefix.  That is why it does not work here.

Those 4 bits (28 - 32) are the HIT_Suite_ID in the HHIT format.

I do see your point.  But it does not fit into the format of HHIT IPv6 
addresses.

Please read Appendix B for the HHIT format.

>>>>>> includes proofs for the Location/Vector Message and the observer 
>>>>>> can see the UA or that information is validated by ground 
>>>>>> multilateration
>>>>>